Bug 243185 - Error in execution of RPM clean-up for librsvg2
Error in execution of RPM clean-up for librsvg2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: librsvg2 (Show other bugs)
7
ia64 Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-07 14:55 EDT by Renich Bon Ciric
Modified: 2008-06-16 21:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:29:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Renich Bon Ciric 2007-06-07 14:55:20 EDT
Description of problem:

I have removed all i386, i586 and i686 rpms from my x86_64 PC using the next
command:
# yum remove *i{386,586,686}*

After that, I run it again and check this out:
[root@renich ~]# yum remove *.i{386,586,686}*
Loading "fedorakmod" plugin
Loading "installonlyn" plugin
Loading "presto" plugin
Loading "kernel-module" plugin
Loading "changelog" plugin
Setting up Presto
Reading Presto metadata in from local files
Setting up Remove Process
No Match for argument: *.i686*
No Match for argument: *.i586*
Resolving Dependencies
--> Running transaction check
---> Package librsvg2.i386 0:2.16.1-1.fc7 set to be erased

Dependencies Resolved

=============================================================================
Package                 Arch       Version          Repository        Size 
=============================================================================
Removing:
librsvg2                i386       2.16.1-1.fc7     installed         425 k

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       0 Package(s)         
Remove       1 Package(s)         

Is this ok [y/N]: y
Downloading Packages:
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Removing  : librsvg2                     ######################### [1/1]
ls: cannot access /etc/gtk-2.0/i?86*: No such file or directory
/usr/bin/update-gdk-pixbuf-loaders: line 44:
/etc/gtk-2.0/i686-redhat-linux-gnu/gdk-pixbuf.loaders: No such file or directory
error: %postun(librsvg2-2.16.1-1.fc7.i386) scriptlet failed, exit status 1

Removed: librsvg2.i386 0:2.16.1-1.fc7
Complete!
[root@renich ~]# 


Version-Release number of selected component (if applicable):
0:2.16.1-1 

How reproducible:

After a fresh x86_64 install, just remove all i386, i586 and i686 packages using
yum and then, try it again.

Steps to Reproduce:
1. Fresh x86_64 installation
2. run: yum remove *i{386,586,686}*
3. after first run, run it again: yum remove *i{386,586,686}*


Additional info:

I've been having this problem since fc4 or fc5... more less...
Comment 1 Rafał Polak 2007-08-01 19:47:48 EDT
Same error here :
[root@localhost ~]$ yum remove librsvg2.i386
Loading "installonlyn" plugin
Loading "fastestmirror" plugin
Setting up Remove Process
Resolving Dependencies
--> Running transaction check
---> Package librsvg2.i386 0:2.16.1-1.fc7 set to be erased

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Removing:
 librsvg2                i386       2.16.1-1.fc7     installed         425 k

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       0 Package(s)         
Remove       1 Package(s)         

Is this ok [y/N]: y
Downloading Packages:
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Removing  : librsvg2                     ######################### [1/1]
ls: cannot access /etc/gtk-2.0/i?86*: No such file or directory
/usr/bin/update-gdk-pixbuf-loaders: line 44:
/etc/gtk-2.0/i686-redhat-linux-gnu/gdk-pixbuf.loaders: No such file or directory
error: %postun(librsvg2-2.16.1-1.fc7.i386) scriptlet failed, exit status 1

Removed: librsvg2.i386 0:2.16.1-1.fc7
Complete!

However it is not removed (at least from database) because yum says that this
package is still installed. This is the only non x86_64 package I know about
that can't be removed.
Comment 2 Matthias Clasen 2007-08-01 22:05:20 EDT
I've fixed this problem in rawhide.
Comment 3 Renich Bon Ciric 2007-08-02 02:16:53 EDT
great news! This was an old bug!

By the way, should I update the bug in any way or something?
Comment 4 Bug Zapper 2008-05-14 08:54:26 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 21:29:24 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.